#{extends 'borderNG.html' /}
#{set 'a'}&{'verifikator.title'}#{/set}
#{set judulHalaman:a /}
<div class="breadcrumb">&{'verifikator.daftar_penyedia'}</div>
<div class="content">	
#{alert /}
<table class="table table-sm" id="tblRekanan">
        <thead>
        <tr>
            <td colspan="6">
                <i class="fa fa-minus-circle"></i> : &{'verifikator.penyedia_blacklist'}
            </td>
        </tr>
        <tr>
            <th width="30">No </th>
            <th>&{'verifikator.nama_penyedia'}</th>
            <th width="100">&{'verifikator.npwp'}</th>
            <th width="100">&{'verifikator.email'}</th>
            <th class="hrlast" width="18%">&{'verifikator.tgl_daftar'}</th>
            #{if isOSD}
            <th width="100">&{'verifikator.sertifikat_elektronik'}</th>
            #{/if}
            <th width="100">&{'verifikator.bentuk_usaha'}</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
</table>
</div>

#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">  
var rekananView = #{jsRoute @VerifikatorCtr.view(':id') /};
var table = $("#tblRekanan").DataTable({
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.rekanan(status)}",
        columns: [{visible:false},{render: function(data, type, row) {
        	 	var id = row[0];
                var disabled = row[9];
                var blacklist = "";
                var date = new Date();
                var akhir = row[10];
			    var akhirT = akhir.substr(0, 10) + "T" + akhir.substr(11, 8);
			    var tglAkhir = new Date(akhirT);	
                if (row[8] != null && tglAkhir >= date ) blacklist = " <i class=\"fa fa-minus-circle\"></i>";
                if (disabled==0)
                    row[1] = "<a href='"+rekananView.url({id:id})+"'>"+row[1]+"</a>"+" (Non-Aktif)"+blacklist+"<br />"+row[3]+"<br />No. Telepon : "+row[2];
                else
                    row[1] = "<a href='"+rekananView.url({id:id})+"'>"+row[1]+"</a>"+blacklist+"<br />"+row[3]+"<br />No. Telepon : "+row[2];
                row[2] = row[4];
                row[3] = row[5];
                row[4] = row[6];
                row[5] = row[12];
                #{if isOSD}
                if(row[11] != null) {
                	var certView = #{jsRoute @VerifikatorCtr.viewCert(':id') /};
                	row[11] = "<a href='"+certView.url({id:id})+"'>"+row[11]+"</a>";
                } else {
                	row[11] = "";
                }
                row[6] = row[11];
                #{/if}
                return row[1];
        	}},null, null,null, null, #{if isOSD}null#{/if}#{else}{visible:false}#{/else}, {visible:false}, {visible:false},{visible:false},
        	{visible:false},{visible:false},{visible:false}
        ]
    })
    $('#tblRekanan_filter input').unbind();
    $('#tblRekanan_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}

